<?php
/**
 * Created by PhpStorm.
 * User: Administrator
 * Date: 2019/6/19
 * Time: 10:00
 */
namespace App\Traits;
use Tymon\JWTAuth\Facades\JWTAuth;

trait CmsTrait
{

    public function getFloorInfo() {
        try {
            $sign = generateSign([], config('customer.app_secret'));
            $url = config("customer.app_service_url").'/cms/v2/floor/info';
            $array = [
                'json' => ['sign' => $sign], 'query' => [], 'http_errors' => false,'headers'=>['Authorization'=>"Bearer ".JWTAuth::getToken()]
            ];
            return http($url,$array,'get');
        } catch (\Exception $e) {
            return [];
        }

    }
}